package com.qmth.teachcloud.task.job;

import com.qmth.distributed.print.business.service.impl.ActivitiServiceImpl;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 发送已逾期数据（每天9点）
 */
public class SendSmsOverdueJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(SendSmsOverdueJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            jobService.sendSmsOverdueTask();
        } catch (Exception e) {
            log.error(SystemConstant.LOG_ERROR, e);
        }
    }
}
